## edu.stanford.nlp.trees.tregex.gui
Class TregexGUI.TransferActionListener

    java.lang.Object
      edu.stanford.nlp.trees.tregex.gui.TregexGUI.TransferActionListener

All Implemented Interfaces:
  ActionListener, PropertyChangeListener, EventListener

Enclosing class:
  TregexGUI

    public static class TregexGUI.TransferActionListener

extends Object
implements ActionListener, PropertyChangeListener

Constructor Summary
`TregexGUI.TransferActionListener()`

Method Summary
`void` `actionPerformed(ActionEvent e)`
`void` `propertyChange(PropertyChangeEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TregexGUI.TransferActionListener

    public TregexGUI.TransferActionListener()

Method Detail

### propertyChange

    public void propertyChange(PropertyChangeEvent e)

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Specified by:
    `actionPerformed` in interface `ActionListener`

Stanford NLP Group